# Poco::ActiveRecord

# class Context

Library: ActiveRecord
Package: ActiveRecord
Header: Poco/ActiveRecord/Context.h

## Description

Context information for ActiveRecord objects.

## Inheritance

Direct Base Classes: Poco::RefCountedObject

All Base Classes: Poco::RefCountedObject

## Member Summary

Member Functions: session, statementPlaceholderProvider

Inherited Functions: duplicate, referenceCount, release

## Types Aliases

### Ptr

using Ptr = Poco::AutoPtr < Context >;

## Constructors

### Context

explicit Context(
const Poco::Data::Session & session
);

Creates the Context from an existing Poco::Data::Session.

### Context

Context(
const std::string & connector,
const std::string & connectionString
);

Creates the Context from a connector name and connection string.

## Destructor

### ~Context

~Context() = default;

Destroys the Context.

## Member Functions

### session

Poco::Data::Session & session();

Returns the database session.

### statementPlaceholderProvider

StatementPlaceholderProvider::Ptr statementPlaceholderProvider() const;

Returns a new StatementPlaceholderProvider.